nasdaqomx

Nordic Workstation - Technical Information

Technical Requirements

OS

  • Microsoft Windows Vista, 7, 8, 10 versions supported.

  • Mac OS X 10.8 (and newer) supported

  • Linux Ubuntu 12.04 (and newer)

Software

  • Adobe Flash Player 18 must be installed on the user's machine. (Latest version recommended)
  • The following browsers are supported for Nordic Workstation:

    - Internet Explorer (IE) 9-11*
    - Internet Explorer EDGE
    - Mozilla Firefox* (latest recommended)
    - Chrome
    - Safari
    - Opera  (latest recommended)
     

    *Please note that you need to use Firefox (on any OS), IE9 or IE11 for the enrollment of the certificate and with the Active-X settings enabled.

System minimum (recommended) requirements

Overall minimum memory requirement: 1-2 GB RAM (2 GB recommended)

  • Windows:
    - Intel Core Duo 1.8GHz, AMD Athlon™ 64 X2 4200 or equivalent (minimum)
    - Intel Core Duo 2,33 GHz, Intel Core2 T7600 or equivalent (recommended)
  • Macintosh:
    - Intel Core Duo 2.66GHz processor or equivalent
  • Linux:
    - Intel Core Duo 1.8GHz, AMD Athlon™ 64 X2 4200 or equivalent (minimum)
    - Intel Core Duo 2,33 GHz, Intel Core2 T7600 or equivalent (recommended)
    - CPU Benchmarks


    We currently discourage the use Firefox due to an issue with Adobe Flash Player causing excessive CPU and Memory utilization

     
SHARE :